use crate::*;

/// request distance evaluation
pub async fn request_distance_evaluation(data: &Data) -> Result<(), subxt::Error> {
	let progress = submit_call(data, &runtime::tx().distance().request_distance_evaluation())
	.await?;
    if data.args.no_wait {
        return Ok(());
    }
    let _ = track_progress(progress).await?;
    Ok(())
}

/// get identity distance status
pub async fn get_identity_distance_status(
	data: &Data,
) -> Result<Option<(AccountId, runtime::runtime_types::pallet_distance::types::DistanceStatus)>, subxt::Error> {
	data.client()
		.storage()
		.at_latest()
		.await?
		.fetch(&runtime::storage().distance().identity_distance_status(data.idty_index()))
		.await
}